| Home | Libraries | People | FAQ | More

# boost::asio::ssl::context_base Class Reference

Inherited by boost::asio::ssl::basic_context< Service >.

Inheritance diagram for boost::asio::ssl::context_base:

List of all members.

## Detailed Description

The context_base class is used as a base for the basic_context class template so that we have a common place to define various enums.

## Public Types

typedef int | options
| Bitmask type for SSL options.
typedef int | verify_mode
| Bitmask type for peer verification.
| sslv2
| Generic SSL version 2.
| sslv2_client
| SSL version 2 client.
| sslv2_server
| SSL version 2 server.
| sslv3
| Generic SSL version 3.
| sslv3_client
| SSL version 3 client.
| sslv3_server
| SSL version 3 server.
| tlsv1
| Generic TLS version 1.
| tlsv1_client
| TLS version 1 client.
| tlsv1_server
| TLS version 1 server.
| sslv23
| Generic SSL/TLS.
| sslv23_client
| SSL/TLS client.
| sslv23_server
| SSL/TLS server.
| asn1
| ASN.1 file.
| pem
| PEM file.
enum | method { sslv2, sslv2_client, sslv2_server, sslv3, sslv3_client, sslv3_server, tlsv1, tlsv1_client, tlsv1_server, sslv23, sslv23_client, sslv23_server }
| Different methods supported by a context. More...
enum | file_format { asn1, pem }
| File format types. More...

## Static Public Attributes

static const int | default_workarounds = implementation_defined
| Implement various bug workarounds.
static const int | single_dh_use = implementation_defined
| Always create a new key when using tmp_dh parameters.
static const int | no_sslv2 = implementation_defined
| Disable SSL v2.
static const int | no_sslv3 = implementation_defined
| Disable SSL v3.
static const int | no_tlsv1 = implementation_defined
| Disable TLS v1.
static const int | verify_none = implementation_defined
| No verification.
static const int | verify_peer = implementation_defined
| Verify the peer.
static const int | verify_fail_if_no_peer_cert = implementation_defined
| Fail verification if the peer has no certificate. Ignored unless verify_peer is set.
static const int | verify_client_once = implementation_defined
| Do not request client certificate on renegotiation. Ignored unless verify_peer is set.

## Protected Member Functions

| ~context_base ()
| Protected destructor to prevent deletion through this type.

## Member Typedef Documentation

typedef int boost::asio::ssl::context_base::options

Bitmask type for SSL options.

typedef int boost::asio::ssl::context_base::verify_mode

Bitmask type for peer verification.

## Member Enumeration Documentation

enum boost::asio::ssl::context_base::method

Different methods supported by a context.

Enumerator:

  sslv2 | Generic SSL version 2.
  sslv2_client | SSL version 2 client.
  sslv2_server | SSL version 2 server.
  sslv3 | Generic SSL version 3.
  sslv3_client | SSL version 3 client.
  sslv3_server | SSL version 3 server.
  tlsv1 | Generic TLS version 1.
  tlsv1_client | TLS version 1 client.
  tlsv1_server | TLS version 1 server.
  sslv23 | Generic SSL/TLS.
  sslv23_client | SSL/TLS client.
  sslv23_server | SSL/TLS server.

enum boost::asio::ssl::context_base::file_format

File format types.

Enumerator:

  asn1 | ASN.1 file.
  pem | PEM file.

## Constructor & Destructor Documentation

boost::asio::ssl::context_base::~context_base | ( |  | ) | `[protected]`

Protected destructor to prevent deletion through this type.

## Member Data Documentation

const int boost::asio::ssl::context_base::default_workarounds = implementation_defined`[static]`

Implement various bug workarounds.

const int boost::asio::ssl::context_base::single_dh_use = implementation_defined`[static]`

Always create a new key when using tmp_dh parameters.

const int boost::asio::ssl::context_base::no_sslv2 = implementation_defined`[static]`

Disable SSL v2.

const int boost::asio::ssl::context_base::no_sslv3 = implementation_defined`[static]`

Disable SSL v3.

const int boost::asio::ssl::context_base::no_tlsv1 = implementation_defined`[static]`

Disable TLS v1.

const int boost::asio::ssl::context_base::verify_none = implementation_defined`[static]`

No verification.

const int boost::asio::ssl::context_base::verify_peer = implementation_defined`[static]`

Verify the peer.

const int boost::asio::ssl::context_base::verify_fail_if_no_peer_cert = implementation_defined`[static]`

Fail verification if the peer has no certificate. Ignored unless verify_peer is set.

const int boost::asio::ssl::context_base::verify_client_once = implementation_defined`[static]`

Do not request client certificate on renegotiation. Ignored unless verify_peer is set.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff